<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <h1>
          Bonus - Penalties - Adjustments
        </h1>
        <div class="fm-row" style="margin-top: 15px;">
          <label class="col-sm-2">Driver</label>
          <div class="col-sm-3">
            <input [(ngModel)]="driver_id" matInput placeholder="Select Driver" class="form-control" name="driver_id"
              (ngModelChange)="searchDriver($event)" [formControl]="queryField" aria-label="Driver"
              [matAutocomplete]="Drivers">
            <img *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator" src="assets/img/loading.gif" alt="loader"/>
            <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
              <mat-option *ngFor="let driver of driverData" [value]="driver">
                {{driver.username}},{{driver.name}}
              </mat-option>
              <mat-option *ngIf="driverData.length == 0">No Matches Found
              </mat-option>
            </mat-autocomplete>
          </div>
        </div>
        <div class="fm-row" style="margin-top: 8px;margin-bottom: 16px;" *ngIf="walletData.length>0">
          <div class="col-sm-12">
            <mat-card style="margin-top: 5px;">
              <p style="font-size: large;"><strong>Driver Details</strong></p>
              <p>{{walletData[0].driver_id.name}},{{walletData[0].driver_id.formatted_phone_number}}</p>
              <p>{{walletData[0].driver_id.emp_id}}</p>
            </mat-card>
            <div style="margin-top: 15px;background-color: white;">
              <div class="fm-row">
                <label class="col-sm-4 control-label">Operation Type <i aria-hidden="true" class="mandatory">*</i></label>
                <div class="col-sm-8 form-input">
                  <mat-select placeholder="Operation Type" matInput (ngModelChange)="setOperation($event)"
                    [(ngModel)]="operation_type" style="border: 1px solid lightgrey;padding: 8px;border-radius: 5px;">
                    <mat-option value="P">Charge Penalty</mat-option>
                    <mat-option value="B">Bonus</mat-option>
                    <mat-option value="A">Adjustment</mat-option>
                  </mat-select>
                </div>
              </div>
              <div class="fm-row" *ngIf="ops_type=='A'">
                <label class="col-sm-4 control-label">Opertion Mode<i aria-hidden="true" class="mandatory">*</i></label>
                <div class="col-sm-8 form-input">
                  <mat-select placeholder="Operation Mode" matInput (ngModelChange)="setOperationMode($event)"
                    [(ngModel)]="operation_mode" style="border: 1px solid lightgrey;padding: 8px;border-radius: 5px;">
                    <mat-option value="A">Add</mat-option>
                    <mat-option value="S">Reduce</mat-option>
                  </mat-select>
                </div>
              </div>
              <div class="fm-row" *ngIf="ops_type=='A' || ops_type=='B' || ops_type=='P'">
                <label class="col-sm-4">Adjusted for Order</label>
                <div class="col-sm-8 form-input">
                  <input [(ngModel)]="order_id" matInput placeholder="Select Order" class="form-control" name="order_id"
                    [formControl]="queryField1" aria-label="Order" [matAutocomplete]="orders">
                  <mat-autocomplete #orders="matAutocomplete" (optionSelected)="orderIdselected($event)">
                    <mat-option *ngFor="let orderId of allOrderIddata" [value]="orderId">
                      {{orderId.unique_order_id}}
                    </mat-option>
                    <mat-option *ngIf="allOrderIddata=='' && allOrderIddata.length == 0">No
                      Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
              </div>
              <div class="fm-row" *ngIf="walletData.length>0">
                <label class="col-sm-4">Amount<i aria-hidden="true" class="mandatory">*</i></label>
                <div class="col-sm-8">
                  <input [(ngModel)]="amount" matInput placeholder="Amount" class="form-control" name="amount"
                    type='number'>
                </div>
              </div>
              <div class="fm-row" *ngIf="walletData.length>0">
                <div class="col-sm-12">
                  <p></p>
                </div>
              </div>
              <div class="fm-row" *ngIf="walletData.length>0">
                <label class="col-sm-4">Notes<i aria-hidden="true" class="mandatory">*</i></label>
                <div class="col-sm-8">
                  <input [(ngModel)]="notes" matInput placeholder="Notes" class="form-control" name="note" type='text'>
                </div>
              </div>

              <span *ngIf="searchSubmit">
                <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
              </span>
            </div>
            <div class="fm-row">
              <div class="col-sm-4">
                <button type="get" (click)="openDialog();" class="btn btn-sm btn-primary blue">
                  Submit</button>
                <button type="get" (click)="reset();" class="btn btn-sm btn-danger">
                  Reset</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>